## language-selector 0.4.18

=== debian/changelog ===
language-selector (0.4.18) karmic; urgency=low

  * Use dictionary-based format string substitution for "%d to install" and
    "%d to remove" (now "%(INSTALL)d to install" and "%(REMOVE)d to
    remove"), so that gnome-language-selector doesn't crash when a
    translation intentionally uses fixed strings for some of its plural
    forms (LP: #409785).
  * Remove fuzzy markers on the respective Arabic and Hebrew translations
    (see 0.4.16) since they no longer cause a crash.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Oct 2009 18:50:30 +0100

language-selector (0.4.17) karmic; urgency=low

  * LanguageSelector/LocaleInfo.py:
    - when running without the LANGUAGE environment, do not
      witch to english half-way through (LP: #457235)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Oct 2009 17:01:07 +0200

language-selector (0.4.16) karmic; urgency=low

  * Add --show-installed option to check-language-support, so that ubiquity
    can arrange to keep language support packages installed that are already
    present in the live filesystem.
  * Enable translation for check-language-support.
  * Mark Arabic translations of "%d to install" and "%d to remove" as fuzzy,
    until such time as they're corrected in Launchpad (LP: #409785).
  * ... and likewise for Hebrew (LP: #363990).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Oct 2009 13:02:27 +0100

language-selector (0.4.15) karmic; urgency=low

  * Added fa_AF and kk translations
  * Fix display of the Details box in gnome-language-selector (Thanks to
    Markus Korn) (LP: #455370)

 -- Arne Goetje <arne@ubuntu.com>  Tue, 20 Oct 2009 09:08:58 +0200

language-selector (0.4.14) karmic; urgency=low

  * add workaround to enable translations (LP: #425368)
  * Update translations from Launchpad

 -- Arne Goetje <arne@ubuntu.com>  Mon, 19 Oct 2009 11:10:29 +0200

language-selector (0.4.13) karmic; urgency=low

  * Fix typo in check-language-support(1) that caused a Lintian warning.
  * Print nothing rather than a blank line if check-language-support finds
    no missing packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 13:18:15 +0100

language-selector (0.4.12) karmic; urgency=low

  * Add openoffice.org-help-* and evolution-documentation-* to the 
    package dependencies (Thanks to Timo Jyrinki) (LP: #414753)
  * add /usr/bin/check-language-support to query missing packages for a
    given language code or all installed languages (LP: #434173)
  * LanguageSelector/LangInfo.py: don't crash if langcode is not in the
    ISO639 list (LP: #439728)

 -- Arne Goetje <arne@ubuntu.com>  Wed, 14 Oct 2009 12:42:17 +0100

language-selector (0.4.11) karmic; urgency=low

  * Fix crash in gnome-language-selector (LP: #427716)
  * Fall back to 'en_US' locale if none has been defined or has been set
    to 'C'. (LP: #386029) (LP: #346363) (LP: #347240)
  * Fix crash when ~/.xinput/ is not present (LP: #219218)
  * Add manpage for gnome-language-selector (Thanks to Alex Lourie)
   (LP: #426642)
  * Fix typo in LanguageSelector/FontConfig.py (LP: #219398)
  * data/languagelist: add fallback codes for all English variations we 
    have as locales (LP: #47280) (LP: #72952)
  * Update translations from Launchpad
  * Really remove now obsolete Chinese entry from language list
    (LP: #431228)

 -- Arne Goetje <arne@ubuntu.com>  Thu, 17 Sep 2009 22:41:58 +0800

language-selector (0.4.10) karmic; urgency=low

  * Fix crash in Qt's uninstall mode

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 13 Sep 2009 14:12:49 +0200

language-selector (0.4.9) karmic; urgency=low

  * Implement input method subsystem into Qt UI
  * Make the Qt UI's uninstall mode more usable by hiding not-installed
    languages from the list view
  * Port package build system to dh 7
    + Build-depend on debhelper 7
  * Bump standards version to 3.8.3
  * Add misc depends to all packages
  * Revise copyright file
  * Add manpage for qt-lanaguage-selector (as produced by kdemangen.pl)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 22:50:07 +0200

language-selector (0.4.8) karmic; urgency=low

  * Fix Qt desktop file icon to fit in with app (LP: #316559)
  * Change Hidden key to NoDisplay key in Qt desktop file (Hidden == Deleted)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 08 Sep 2009 17:16:40 +0200

language-selector (0.4.7) karmic; urgency=low

  * Add support for Chinese language-pack split
  * Update translations from Launchpad
  * Remove fontconfig/29-language-selector-zh (LP: #406132)
  * Remove option to install obsolete language-support-extra-* packages
  * Replace option to install additional translations
    (language-support-translations-*) with code to automatically install 
    additional translation packages on a per need basis.
  * Added code to install mozvoikko and oo.o-voikko based on already
    installed mozilla and oo.o packages for finnish users who have
    "Writing Aids" enabled in language-selector (LP: #409764)
  * Added combobox to choose the input method engine via im-switch
  * Patch potfiles.in (Thanks to Gabor Kelemen) (LP: #420224)

 -- Arne Goetje <arne@ubuntu.com>  Sun, 02 Aug 2009 11:29:17 +0100

language-selector (0.4.6) karmic; urgency=low

  * Update is-KDE-installed test for KDE 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 09:58:06 +0100

language-selector (0.4.5) karmic; urgency=low

  [ Loïc Minier ]
  * Revert the change of 0.4.3 partially: keep parsing both double-quoted and
    non-quoted lines, but output double-quoted lines as in the past since this
    is consistent with localechooser, supported by pam_env and now also
    supported by sudo.

    [ Sebastien Bacher ]
  * Use gtkbuilder rather than libglade (lp: #403531)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Jul 2009 10:10:55 +0200

language-selector (0.4.4) karmic; urgency=low

  * Fix icon for Gtk+ version; the .glade file would use the icon property


=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Arne Goetje <arne@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-dev, intltool, intltool-debian,
 python-central (>= 0.5.6)
XS-Python-Version: current
Standards-Version: 3.8.3
XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

Package: language-selector
Architecture: all
Depends: language-selector-common (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}, python-gtk2, python-apt (>= 0.6.12),
 synaptic
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the GTK+ frontend.

Package: language-selector-qt
Architecture: all
Depends: language-selector-common (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}, python-qt4, install-package, python-apt
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for Kubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the Qt/KDE frontend.

Package: language-selector-common
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, iso-codes, python-apt
Replaces: language-selector (<< 0.1.13)
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the common part of language-selector

## language-selector 0.4.18jolicloud1~0.4.2.3

=== debian/changelog ===
language-selector (0.4.18jolicloud1~0.4.2.3) karmic; urgency=low

  * Rebased version number to re-release 0.4.2.3. This will force a
    downgrade of users who recieved a faulty 0.4.18 build in robby

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 25 Aug 2010 04:26:05 -0600

## language-selector 0.5.7

=== debian/changelog ===
language-selector (0.5.7) lucid; urgency=low

  * Change fontconfig settings:
    - zh-*: reorder font priority lists, put DejaVu and Bitstream Vera in front
    (LP: #149944)
    - zh-*: add WenQuanYi Microhei, Droid Sans Fallback and HYSong
    - ja: add entries for Takao and IPA fonts, reorder and merge
    required rendering options from the 29-language-selector-ja-jp.conf file
    (LP: #535582)
    - update 30-cjk-aliases.conf to include localized font names and fonts used
    in Windows 7.

 -- Arne Goetje <arne@ubuntu.com>  Wed, 21 Apr 2010 17:49:18 +0200

language-selector (0.5.6) lucid; urgency=low

  * bugfix: use os.R_OK and os.W_OK to check file permissions.
    (LP: #564317)

 -- Arne Goetje <arne@ubuntu.com>  Fri, 16 Apr 2010 14:39:58 +0800

language-selector (0.5.5) lucid; urgency=low

  * QtLanguageSelector.py: fix crash when no language is selected
    in the install window (LP: #553729)
  * LanguageSelector.py: if gdm is running, write the user LANG setting
    to ~/.dmrc and /var/cache/gdm/$USER/dmrc (LP: #553162)
  * updated translations from launchpad
  * remove dangling ImSwitch symlinks on startup (LP: #500594)
  * check for write permission on ~/.profile (LP: #560881)
  * check for read permission on /etc/default/locale and
    /etc/environment (LP: #554617)

 -- Arne Goetje <arne@ubuntu.com>  Thu, 15 Apr 2010 23:41:40 +0800

language-selector (0.5.4) lucid; urgency=low

  * QtLanguageSelector.py: fix to not need to run language-selector
    twice in order to install all needed packages (LP: #499381)
    (LP: #441321)

 -- Arne Goetje <arne@ubuntu.com>  Fri, 26 Mar 2010 14:55:16 +0800

language-selector (0.5.3) lucid; urgency=low

  [ Michael Vogt ]
  * when checking for is_admin check for uid == 0 too

  [ Arne Goetje ]
  * GtkLanguageSelector.py: move a Translators comment to the right
    location, so that it ends up in the.pot file. (LP: #456290)
  * Added fallback for Frisian (fy_NL and fy_DE) to data/languagelist.
    (LP: #537540)
  * check if the dependency package for translations is available in the
    cache (LP: #527891)
  * restored --show-installed option in check-language-support
  * fix language-selector.desktop.in (Thanks to Stéphane Loeuillet)
    (LP: #146973)
  * fix a crash when language-selector is run by a non-admin user

 -- Arne Goetje <arne@ubuntu.com>  Fri, 19 Mar 2010 17:54:18 +0800

language-selector (0.5.2) lucid; urgency=low

  * [KDE] It seems that the function we were using to write the system lang/
    locale got commented out... Use the new API
  * [GTK] Add missing depends on python-glade2 and gksu

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 17 Mar 2010 17:19:44 -0400

language-selector (0.5.1) lucid; urgency=low

  * add fallbacks for nds_DE and nds_NL to data/languagelist (LP: #531422)
  * add fallback for be_BY@latin to data/languagelist (LP: #146681)
  * fontconfig/*: make the fontconfig snippets valid against the dtd.
    (LP: #387868)
  * add openoffice.org-hyphenation* and openoffice.org-thesaurus* do the
    dynamically generated package list. Change the dependency for gnome-
    user-guide* from libgnome2-common to gnome-panel (LP: #529048)
  * stop thunderbird and openoffice.org localization packages to be
    removed when installing a new language. (LP: #519289)

 -- Arne Goetje <arne@ubuntu.com>  Thu, 11 Mar 2010 21:47:00 +0800

language-selector (0.5.0) lucid; urgency=low

  * new UI to allow separate language and locale settings (LP: #40669)
    (LP: #210776) (LP: #226155)
  * fixed locale generation code (LP: #236028)

 -- Arne Goetje <arne@ubuntu.com>  Thu, 25 Feb 2010 05:51:33 +0800

language-selector (0.4.19) lucid; urgency=low

  * move check-language-support code into a separate module
    (Thanks Michael Vogt)
  * add -p --package option to check-language-support

 -- Arne Goetje <arne@ubuntu.com>  Fri, 08 Jan 2010 16:15:48 +0800

## language-selector 0.5.8~ja2

=== debian/changelog ===
language-selector (0.5.8~ja2) lucid; urgency=low

  * drop DejaVu fonts from 69-language-selector-ja-jp.conf file to 
    work fine with Adobe Flash.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Tue, 04 May 2010 17:09:59 +0900

language-selector (0.5.8~ja1) lucid; urgency=low

  * refine 69-language-selector-ja-jp.conf file.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sun, 02 May 2010 10:34:04 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: language-selector-common (= ${binary:Version}), ${shlibs:Depends},
  ${misc:Depends}, ${python:Depends}, python-gtk2, python-apt (>= 0.6.12),
- synaptic
+ python-glade2, gksu, synaptic
 XB-Python-Version: ${python:Versions}
 Description: Language selector for Ubuntu Linux
  This package let you change and install language packs
@@ -34,7 +34,7 @@
 
 Package: language-selector-common
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, iso-codes, python-apt
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, iso-codes, python-apt (>= 0.7.12.0)
 Replaces: language-selector (<< 0.1.13)
 XB-Python-Version: ${python:Versions}
 Description: Language selector for Ubuntu Linux

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with python-central $@

override_dh_auto_install:
	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --install-layout=deb
	(cd po; intltool-update -p -g language-selector)

## language-selector 0.5.8

=== debian/changelog ===
language-selector (0.5.8) lucid-proposed; urgency=low

  * update fontconfig/69-language-selector-ja-jp.conf: change binding to
   'strong' (LP: #569442)

 -- Arne Goetje <arne@ubuntu.com>  Wed, 16 Jun 2010 00:28:34 +0800

## language-selector 0.5.8common0omsk1

=== debian/changelog ===
language-selector (0.5.8common0omsk1) lucid; urgency=low

  * Rebase on lucid-updates. Remaining changes:
    - debian/control: Add quilt
    - debian/patches/omsk.patch: Make the UI work better for a single user
      that doesn't have admin rights, but can still install things.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 Aug 2010 17:42:10 +0200

language-selector (0.5.7common0omsk1) lucid; urgency=low

  * debian/control: Add quilt
  * debian/patches/omsk.patch: Make the UI work better for a single user
    that doesn't have admin rights, but can still install things.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 06 May 2010 11:40:18 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arne Goetje <arne@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), python-dev, intltool, intltool-debian,
- python-central (>= 0.5.6)
+ python-central (>= 0.5.6), quilt
 XS-Python-Version: current
 Standards-Version: 3.8.3
 XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

## language-selector 0.5.8+langfixes~lucid2

=== debian/changelog ===
language-selector (0.5.8+langfixes~lucid2) lucid-backports; urgency=low

  [ backported fix of regression bug ] (LP: #778869)
  * LanguageSelector/FontConfig.py:
    Make the fontconfig-voodoo --auto option work also when the first
    LANGUAGE item is just 'ja' or 'ko', i.e. without country code.
  * LanguageSelector/LanguageSelector.py:
    When applying the language settings system-wide, set the fonts con-
    figuration also when the first LANGUAGE item is just 'ja' or 'ko'.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 25 May 2011 09:55:02 +0200

language-selector (0.5.8+langfixes~lucid1) lucid-backports; urgency=low

  [ backported Natty changes ] (LP: #719815)
  * LanguageSelector/macros.py:
    - Use locale names with '.UTF-8' instead of '.utf8' when setting
      LC_* or LANG environment variables (LP: #666565, #700619).
      Thanks to Lauri Tirkkonen for the patch!
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Show only options corresponding to available translations in the
      combo box on language-selector's "Language" tab (LP: #693337).
    - Make setlocale() errors non-fatal (LP: #651582).
  * data/LanguageSelector.ui:
    - Clearer labels to describe the second ("Text") tab.
    - Icon added to taskbar. Thanks to Pavol Klačanský (LP: #648109).
    - Texts that inform the user about the need to restart for changes
      to system settings to take effect (LP: #127356, #612991).
    - Ellipses removed from the labels on the "Apply System-Wide"
      buttons (LP: #531799).
    - Layout tweaking of the "Regional Formats" (previously "Text")
      tab (LP: #697606).
  * data/main-countries:
    - Provide main or origin country for languages with multiple country
      codes present among the languages' available locales.
  * Set LC_MESSAGES for applications that don't recognize LANGUAGE
    (LP: #553162).
  * GDM related fixes (LP: #553162):
    - Update dmrc when LANGUAGE and LC_MESSAGES are set, not when LANG
      is set.
    - Use the new dmrc fields "Langlist" and "LCMess" to store the
      LANGUAGE and LC_MESSAGES values on disk.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 03 Mar 2011 12:52:00 +0100

## language-selector 0.5.9~ja1

=== debian/changelog ===
language-selector (0.5.9~ja1) lucid; urgency=low

  * just bump version number.
    - no change rebuild.

 -- Fumihito YOSHIDA <hito@kugutsu.org>  Thu, 24 Jun 2010 12:11:02 +0900

## language-selector 0.6.6

=== debian/changelog ===
language-selector (0.6.6) maverick; urgency=low

  * debian/rules: Disable pkgbinarymangler, to keep translations in the
    package. In Natty this blacklisting will happen in the pkgbinarymangler
    package (so that the programs other than pkgstriptranslations will still
    apply), but this is a less invasive shortcut for Maverick. (LP: #654548)
  * po/*: Update translations from Launchpad.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Oct 2010 12:26:19 +0200

language-selector (0.6.5) maverick; urgency=low

  * Switch back to using os.rename in find_string_and_replace, as we require
    atomicity.  Instead, always create the temporary file in the same
    directory as the original (thanks, Scott Kitterman; LP: #645774).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 14:29:08 +0100

language-selector (0.6.4) maverick; urgency=low

  * Use shutil.move rather than os.rename in find_string_and_replace
    (thanks, TualatriX; LP: #645774).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Sep 2010 12:37:07 +0100

language-selector (0.6.3) maverick; urgency=low

  [ Martin Pitt ]
  * data/LanguageSelector.ui, LanguageSelector/gtk/GtkLanguageSelector.py: Add
    a Close button. (LP: #345113)
  
  [ Michael Vogt ]
  * fix aptdaemon install/update (LP: #612825)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Sep 2010 18:54:47 +0200

language-selector (0.6.2) maverick; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Jonathan Thomas ]
  * Port language-selector-qt to qapt-batch
  * Replace the dependency on install-package to qapt-batch in
    debian/control (LP: #497803)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Jul 2010 10:57:58 +0100

language-selector (0.6.1) maverick; urgency=low

  [ Michael Vogt ]
  * fix dialog returning too early (issue with latest aptdaemon)
  * fix deprecation warning
  * build with include-links
  * dbus_backend/ls-dbus-backend: move dbus.mainloop.glib integration way up
    to avoid crash on startup (LP: #598619) (LP: #596603)

  [ Arne Goetje ]
  * clean up data/pkg-depends:
    - remove enigmail-locale- (LP: #588254)
    - remove obsolete kde-i18n- and koffice-i18n- entries, packages have
      been removed from archive in Lucid.
  * update fontconfig/69-language-selector-ja-jp.conf: change binding to
    'strong' (LP: #569442)
  * LocaleInfo.py: check for file permissions (LP: #598802)
  * fix depreciation warnings
  * debian/control: add pyqt4-dev-tools to Build-Depends

 -- Arne Goetje <arne@ubuntu.com>  Fri, 02 Jul 2010 17:21:08 +0800

language-selector (0.6.0) maverick; urgency=low

  [ Michael Vogt ]
  * add dbus backend, no need for gksu anymore (LP: #290570)
  * use aptdaemon in the gtk frontend
  * run tests at build time
  * fix "installs missing packages without opt-out" (LP: #584438)
  * code cleanup

  [Arne Goetje]
  * raise exception and display error when package cache is broken (LP: #331380)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 May 2010 22:13:17 +0200

## language-selector 0.6.6.common0hedley9really0.5.8common0hedley2

=== debian/changelog ===
language-selector (0.6.6.common0hedley9really0.5.8common0hedley2) lucid; urgency=low

  * Revert to version 0.5.8 as 0.6.6 causes more problems (i.e., size increase,
    LP: #664123, etc.) than it solves (LP: #656632)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 20 Oct 2010 19:31:09 -0400

language-selector (0.5.8common0hedley1) lucid; urgency=low

  * data/LanguageSelector.ui, LanguageSelector/gtk/GtkLanguageSelector.py: Add
    a Close button. Cherrypicked from r379 maverick branch.
    (LP: #617104, #345113)
  * debian/control: Set Vcs-Bzr: to hedley branch. Branched from
    lp:~ubuntu-core-dev/language-selector/ubuntu r360, plus import of
    lucid-proposed update (0.5.8).

 -- Martin Pitt <martin.pitt@canonical.com>  Tue, 31 Aug 2010 11:47:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Arne Goetje <arne@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), python-dev, intltool, intltool-debian,
- python-central (>= 0.5.6), quilt
+ python-central (>= 0.5.6)
 XS-Python-Version: current
 Standards-Version: 3.8.3
-XS-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/
+Vcs-Bzr: lp:~hedley-team/hedley/language-selector
 
 Package: language-selector
 Architecture: all

## language-selector 0.6.7~ja1

=== dbus_backend/Makefile ===

com.ubuntu.languageselector.policy: com.ubuntu.languageselector.policy.in
	intltool-merge -x ../po $< $@

=== po/Makefile ===

top_srcdir = ..

PO_FILES := $(wildcard *.po)


update-po: language-selector.pot $(patsubst %.po,%.mo,$(wildcard *.po))
	# update the po files 
	#for f in $(PO_FILES); do \
	#	intltool-update -r $${f%.po}  -g language-selector ; \
	#done
	intltool-update -r $${f%.po}  -g language-selector ; \

language-selector.pot:
	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-gnome.note.in
	intltool-extract --type=gettext/rfc822deb  ../data/incomplete-language-support-qt.note.in
	intltool-extract --type=gettext/rfc822deb  ../data/restart_session_required.note.in
	intltool-update -p -g language-selector
	

%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/language-selector.mo

=== debian/changelog ===
language-selector (0.6.7~ja1) maverick; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 08 Oct 2010 20:09:33 +0900

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Arne Goetje <arne@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-dev, intltool,
 intltool-debian, python-central (>= 0.5.6), pyqt4-dev-tools
XS-Python-Version: current
Standards-Version: 3.8.3
Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

Package: language-selector
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2,
 python-apt (>= 0.6.12), aptdaemon, python-aptdaemon-gtk
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the GTK+ frontend.

Package: language-selector-qt
Architecture: all
Depends: language-selector-common (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}, python-qt4, qapt-batch,
 python-apt
XB-Python-Version: ${python:Versions}
Description: Language selector for Kubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the Qt/KDE frontend.

Package: language-selector-common
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 iso-codes, python-apt (>= 0.7.12.0), python-dbus
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the common part of language-selector

=== debian/rules ===
#!/usr/bin/make -f

export DH_PYCENTRAL=include-links
export NO_PKG_MANGLE=1

%:
	dh $@ --with python-central

override_dh_auto_install:
	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --install-layout=deb
	(cd po; intltool-update -p -g language-selector)

## language-selector 0.6.7~ja2

=== debian/changelog ===
language-selector (0.6.7~ja2) maverick; urgency=low

  * Oops. I forgot to replace fontconfig/69-language-selector-ja-jp.conf.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 08 Oct 2010 23:38:41 +0900

## language-selector 0.6.8

=== debian/changelog ===
language-selector (0.6.8) maverick-security; urgency=low

  * debian/language-selector-common.postinst: allow missing backend.

 -- Kees Cook <kees@ubuntu.com>  Tue, 19 Apr 2011 13:08:16 -0700

language-selector (0.6.7) maverick-security; urgency=low

  [ Kees Cook ]
  * SECURITY UPDATE: language selector backend did not verify policy kit
    authentication.
    - debian/language-selector-common.postinst: shut down old backend.
    - CVE-2011-0729

  [ Martin Pitt ]
  * dbus_backend/ls-dbus-backend: Actually look at the PolicyKit check result
    and only proceed if it succeeded. Thanks to Romain Perier for finding this
    and providing the patch! This fixes a local root privilege escalation, as
    this allows any authenticated user to write arbitrary shell commands into
    /etc/default/locale. (LP: #764397)
  * dbus_backend/ls-dbus-backend: Reject locale names with invalid characters
    in it, to further prevent injecting shell code into /etc/default/locale
    for authenticated users. Thanks to Felix Geyer for the initial patch!
    (LP: #764397)
  * debian/control: Update Vcs-Bzr: for newly created maverick branch.

 -- Kees Cook <kees@ubuntu.com>  Tue, 19 Apr 2011 10:31:37 -0700

## language-selector 0.6.8+langfixes~maverick2

=== debian/changelog ===
language-selector (0.6.8+langfixes~maverick2) maverick-backports; urgency=low

  [ backported fix of regression bug ] (LP: #778869)
  * LanguageSelector/FontConfig.py:
    Make the fontconfig-voodoo --auto option work also when the first
    LANGUAGE item is just 'ja' or 'ko', i.e. without country code.
  * dbus_backend/ls-dbus-backend:
    When applying the language settings system-wide, set the fonts con-
    figuration also when the first LANGUAGE item is just 'ja' or 'ko'.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Tue, 10 May 2011 20:12:00 +0200

language-selector (0.6.8+langfixes~maverick1) maverick-backports; urgency=low

  * Merge security update.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 20 Apr 2011 08:59:04 +0200

language-selector (0.6.6+langfixes~maverick1) maverick-backports; urgency=low

  [ backported Natty changes ] (LP: #719815)
  * LanguageSelector/macros.py:
    - Use locale names with '.UTF-8' instead of '.utf8' when setting
      LC_* or LANG environment variables (LP: #666565, #700619).
      Thanks to Lauri Tirkkonen for the patch!
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Show only options corresponding to available translations in the
      combo box on language-selector's "Language" tab (LP: #693337).
    - Make setlocale() errors non-fatal (LP: #651582).
  * data/LanguageSelector.ui:
    - Clearer labels to describe the second ("Text") tab.
    - Icon added to taskbar. Thanks to Pavol Klačanský (LP: #648109).
    - Texts that inform the user about the need to restart for changes
      to system settings to take effect (LP: #127356, #612991).
    - Ellipses removed from the labels on the "Apply System-Wide"
      buttons (LP: #531799).
    - Layout tweaking of the "Regional Formats" (previously "Text")
      tab (LP: #697606).
  * data/main-countries:
    - Provide main or origin country for languages with multiple country
      codes present among the languages' available locales.
  * Set LC_MESSAGES for applications that don't recognize LANGUAGE
    (LP: #553162).
  * GDM related fixes (LP: #553162):
    - Update dmrc when LANGUAGE and LC_MESSAGES are set, not when LANG
      is set.
    - Use the new dmrc fields "Langlist" and "LCMess" to store the
      LANGUAGE and LC_MESSAGES values on disk.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 03 Mar 2011 12:52:00 +0100

## language-selector 0.6.9~ja1

=== debian/changelog ===
language-selector (0.6.9~ja1) maverick; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 20 Apr 2011 20:09:14 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  intltool-debian, python-central (>= 0.5.6), pyqt4-dev-tools
 XS-Python-Version: current
 Standards-Version: 3.8.3
-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/
+Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/maverick/
 
 Package: language-selector
 Architecture: all

## language-selector 0.32~ja1

=== debian/changelog ===
language-selector (0.32~ja1) natty; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Sat, 16 Apr 2011 01:22:28 +0900

language-selector (0.31) natty; urgency=low

  * help/C/language-selector.xml: Tweaking of help document, LP: #742857

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Mon, 11 Apr 2011 07:24:00 +0200

language-selector (0.30) natty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py: Fix crash when
    double-clicking language row. (LP: #703097)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Apr 2011 18:57:12 +0200

language-selector (0.29) natty; urgency=low

  [ Gunnar Hjalmarsson ]
  * help/C/language-selector.xml:
    - Addition of DocBook document with help about Ubuntu i18n handling
      in general and language-selector in particular (LP: #742857).
  * data/LanguageSelector.ui:
    - "Help" button added (LP: #742857).
    - Title of the main window changed to "Language Support", i.e.
      same as the name of the app/tool.
  * LanguageSelector/gtk/GtkLanguageSelector.py:
    - Modified code for setlocale() exception handling.
  * data/main-countries:
    - Changed the main country of English from GB to US. Not that the
      latter is more 'right' or something, but it may prevent failures
      in certain situations, since en_US locales are more widespread.

  [ Martin Pitt ]
  * data/pkg_depends: Add hunspell-sh.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 06 Apr 2011 11:29:23 +0200

language-selector (0.28) natty; urgency=low

  * data/pkg_depends: Install openoffice.org-hyphenation for the languages
    that it supports, when libreoffice-common is installed.
  * data/pkg_depends: Add mythes-pl.
  * data/pkg_depends: Add hyphen-pl.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Mar 2011 14:14:53 +0100

language-selector (0.27) natty; urgency=low

  * data/pkg_depends: Update for libreoffice and changed thesaurus/hyphenation
    package names. Update test cases accordingly.
  * data/pkg_depends: Add poppler-data for Arabic, Chinese, Japanese, and
    Korean. (LP: #623825)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Mar 2011 18:37:04 +0100

language-selector (0.26) natty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py: Fix CONTROL_MASK constant.
    This brings back Ctrl+W to close the window. (LP: #732484)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Mar 2011 15:28:57 +0100

language-selector (0.25) natty; urgency=low

  * data/LanguageSelector.ui:
    - Reinsertion of tooltips that were dropped in version 0.6.3.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 09 Mar 2011 15:20:41 +0100

language-selector (0.24) natty; urgency=low

  * debian/rules: Drop NO_PKG_MANGLE. This is now fixed properly in
    pkgbinarymangler, and this fixes LP translations import.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 08 Mar 2011 14:19:34 +0100

language-selector (0.23) natty; urgency=low

  * LanguageSelector/qt/QtLanguageSelector.py:
   - Enable checkboxes only when the corresponding components are available and
     not installed yet. Otherwise it cannot be checked
   - Make apply clickable only when a checkbox is clicked.
   - Clear checkboxes on item change
   - Add tooltips in order to be less confusing

 -- Romain Perier <romain.perier@gmail.com>  Wed, 02 Mar 2011 19:38:39 +0100

language-selector (0.22) natty; urgency=low

  * LanguageSelector/gtk/GtkLanguageSelector.py: Update require_version() call
    to current pygobject API. Bump python-gobject dependency accordingly.
  * debian/control: Fix aptdaemon dependency: we actually use and need
    python-aptdaemon.gtk3widgets (with GI), not gtkwidgets.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Mar 2011 17:23:42 +0100

language-selector (0.21) natty; urgency=low

  [ Timo Jyrinki ]
  * Replace openoffice.org-voikko with libreoffice-voikko. (LP: #724151)

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/LanguageSelector.py:
    - Fix of faulty logic in code for updating dmrc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Mar 2011 10:32:32 +0100

language-selector (0.20) natty; urgency=low

  * debian/control: Replace transitional python-aptdaemon-gtk dependency with
    the current name python-aptdaemon.gtkwidgets.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Feb 2011 09:51:56 +0100

language-selector (0.19) natty; urgency=low

  * LanguageSelector/qt/QtLanguageSelector.py:
   - Disable and uncheck installable components on tab change, which are confusing
   - Code cleanup in self.onTabChangeRevertApply()

 -- Romain Perier <romain.perier@gmail.com>  Thu, 24 Feb 2011 13:18:57 +0100

language-selector (0.18) natty; urgency=low

  * Restore changes from 0.15 which were accidentally dropped in 0.17 due to
    bzr branch confusion.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Thu, 24 Feb 2011 12:16:21 +0100

language-selector (0.17) natty; urgency=low

  * Clean up after the gratutitous renaming in 0.14:
    - Bring back language-selector as transitional package for l-s-gnome.
    - Fix Conflicts/Replaces: to be versioned
    - Put transitional packages in section oldlibs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Feb 2011 09:14:50 +0100

language-selector (0.16) natty; urgency=low

  * Create a transitional binary package for language-selector-qt to install
    language-selector-kde. Otherwise language-selector-qt just gets
    uninstalled and international users are just left hanging.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 23 Feb 2011 19:17:32 -0500

language-selector (0.15) natty; urgency=low

  [ Romain Perier ]
  * LanguageSelector/qt/QtLanguageSelector.py:
   - Unapply changes on changing tab
  * data/incomplete-language-support-kde.note.in
   - Run kcontrol module

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/LocaleInfo.py:


## language-selector 0.33

=== debian/changelog ===
language-selector (0.33) natty; urgency=low

  * dbus_backend/ls-dbus-backend: Actually look at the PolicyKit check result
    and only proceed if it succeeded. Thanks to Romain Perier for finding this
    and providing the patch! This fixes a local root privilege escalation, as
    this allows any authenticated user to write arbitrary shell commands into
    /etc/default/locale. (LP: #764397) [CVE-2011-0729]
  * dbus_backend/ls-dbus-backend: Reject locale names with invalid characters
    in it, to further prevent injecting shell code into /etc/default/locale
    for authenticated users. Thanks to Felix Geyer for the initial patch!
    (LP: #764397)
  * dbus_backend/com.ubuntu.LanguageSelector.conf: Allow access to standard
    D-BUS introspection and properties interfaces. There's no reason to deny
    it, and it causes warnings.
  * debian/language-selector-common.postinst: Stop running D-BUS backend on
    upgrade.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Apr 2011 20:20:44 +0200

language-selector (0.32) natty; urgency=low

  * help/C/language-selector.xml:
    - Description of how to open language-selector changed to also fit
      Unity.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Mon, 18 Apr 2011 10:38:11 +0200

=== debian/control ===
Source: language-selector
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 intltool,
 intltool-debian
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1
Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/

Package: language-selector-gnome
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 python-gobject (>= 2.27.91),
 gir1.2-gtk-2.0 (>= 2.23.90-0ubuntu3),
 gir1.2-vte-0.0,
 python-apt (>= 0.6.12),
 aptdaemon (>= 0.40+bzr527),
 python-aptdaemon.gtk3widgets
Replaces: language-selector (<< 0.17)
Conflicts: language-selector (<< 0.17)
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu
 This package let you change and install language packs
 in Ubuntu.
 .
 This package contains the GTK+ frontend.

Package: language-selector-kde
Architecture: all
Depends: language-selector-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 python-qt4,
 qapt-batch,
 python-apt
Replaces: language-selector-qt (<< 0.16)
Conflicts: language-selector-qt (<< 0.16)
XB-Python-Version: ${python:Versions}
Description: Language selector for Kubuntu
 This package let you change and install language packs
 in Kubuntu.
 .
 This package contains the KDE frontend.

Package: language-selector-qt
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
 language-selector-kde
Description: Language selector for Kubuntu (transitional package)
 This package is a transitional package that can safely be removed
 after you have installed language-selector-kde

Package: language-selector
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
 language-selector-gnome
Description: Language selector for Ubuntu (transitional package)
 This package is a transitional package that can safely be removed
 after you have installed language-selector-gnome

Package: language-selector-common
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 iso-codes,
 python-apt (>= 0.7.12.0),
 python-dbus
XB-Python-Version: ${python:Versions}
Description: Language selector for Ubuntu Linux
 This package let you change and install language packs
 in Ubuntu Linux.
 .
 This package contains the common part of language-selector

## language-selector 0.34ja1

=== debian/changelog ===
language-selector (0.34ja1) natty; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Wed, 27 Apr 2011 23:40:10 +0900

language-selector (0.34) natty-proposed; urgency=low

  * data/pkg_depends: Remove gnome-user-guide-*. The per-language packages
    were removed in gnome-user-docs 2.91.90+git20110306ubuntu1. (LP: #771176)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Apr 2011 13:07:21 +0200

## language-selector 0.34.2~ja1

=== debian/changelog ===
language-selector (0.34.2~ja1) natty; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 27 May 2011 13:31:44 +0900

language-selector (0.34.1) natty-proposed; urgency=low

  * LanguageSelector/LangCache.py: Ignore "-no" langpacks. These have been
    split into -nb (Bokmal) and -nn (Nynorsk) ages ago, but unfortunately
    language-support-writing-no is left in Natty, which causes a confusing
    and non-working "Norwegian" entry in the "Add/remove languages" list. In
    oneiric this was fixed properly by removing language-support-writing-no.
    (LP: #773009)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 08 May 2011 22:52:56 +0200

## language-selector 0.34.2

=== debian/changelog ===
language-selector (0.34.2) natty-proposed; urgency=low

  [ Gunnar Hjalmarsson ]
  * LanguageSelector/FontConfig.py:
    - Make the fontconfig-voodoo --auto option work also when the first
      LANGUAGE item is just 'ja' or 'ko', i.e. without country code
      (LP: #778869).
  * dbus_backend/ls-dbus-backend:
    - When applying the language settings system-wide, set the fonts
      configuration also when the first LANGUAGE item is just 'ja' or
      'ko' (LP: #778869).
  * fontconfig-voodoo:
    - Do not require --force when removing the current config using the
      fontconfig-voodoo -r option.
    - Print an exception message if the --auto option fails to find a
      suitable configuration.

  [ Martin Pitt ]
  * debian/control: Switch Vcs-Bzr: to natty branch.

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 18 May 2011 09:42:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  intltool-debian
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/ubuntu/
+Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/language-selector/natty/
 
 Package: language-selector-gnome
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	python ./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --install-layout=deb
	(cd po; intltool-update -p -g language-selector)

## language-selector 0.34.3~ja1

=== debian/changelog ===
language-selector (0.34.3~ja1) natty; urgency=low

  * fontconfig/69-language-selector-ja-jp.conf:
    - remove <test name="lang" compare="contains"><string>ja</string></test>
    - remove DejaVu fonts.
    - add bindings for Ubuntu fonts.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Fri, 20 May 2011 00:58:37 +0900
